Subject: Re: bug#15478: cc-mode does not obey electric-indent-mode

From: Stefan Monnier <[email-masked]>
Date: Sat, 28 Sep 2013 23:02:39 -0400

> In particular, the electricity MUST be enabled by default in CC Mode,
> otherwise automatic indentation won't work.  For example, after typing "}"
> at the end of an otherwise blank line, the "}" typically needs to be
> indented several spaces outwards.

I don't see in which way this is different for cc-mode than for any
other major mode.

> electric-indent-mode is not buffer local; c-electric-flag is.

Indeed, currently it can only be enabled globally.  But it can be
disabled per-buffer.
I haven't heard any complaint about it from users yet.

> There is a key binding to toggle c-electric-flag, namely C-c C-l.

I'm not sure that would prevent cc-mode from obeying electric-indent-mode.

        Stefan